Plank.DockItem.get_surface_copy – plank Reference Manual

# get_surface_copy

## Description:

public Surface get_surface_copy (int width, int height, Surface model)

Returns a copy of the surface for this item.

It will trigger an internal redraw if the requested size isn't matching the cache.

## Parameters:

width | width of the icon surface
height | height of the icon surface
model | existing surface to use as basis of new surface

## Returns:

the copied surface for this item